import http from "@/api/http.js";
/* 权益小程序管理  视频列表模块*/

export default {
  /* 视频列表 */
  videoList: (params) => {
    return http.get("/cygx/microRoadshow/video/list", params);
  },
  /* 音频列表 */
  voiceList: (params) => {
    return http.get("/cygx/microRoadshow/voice/list", params);
  },
  /* 添加视频 */
  addVideo: (params) => {
    return http.post("/cygx/microRoadshow/video/add", params);
  },
  /* 编辑视频 */
  editVideo: (params) => {
    return http.post("/cygx/microRoadshow/video/edit", params);
  },
  /* 发布视频 */
  videoPublish: (params) => {
    return http.get("/cygx/microRoadshow/video/publish", params);
  },
  /* 视频详情列表 */
  videoDeatil: (params) => {
    return http.get("/cygx/microRoadshow/video/deatil", params);
  },
  /* 音频详情列表 */
  voiceDeatil: (params) => {
    return http.get("/cygx/microRoadshow/voice/deatil", params);
  },
  /* 活动视频列表 */
  getActivityVideo: (params) => {
    return http.get("/cygx/activityVideo/list", params);
  },
  /* 活动视频播放详情 */
  activityVideoDeatil: (params) => {
    return http.get("/cygx/activityVideo/deatil", params);
  },
  /* 微路演视频留言列表 */
  getMicroRoadshowVideo: (params) => {
    return http.get("/cygx/microRoadshow/commentList/video", params);
  },
  /* 微路演音频频留言列表 */
  getMicroRoadshowVoice: (params) => {
    return http.get("/cygx/activityVideo/commentList", params);
  },
  /* 微路演视频留言列表 */
  getMicroRoadshowCommentList: (params) => {
    return http.get("/cygx/microRoadshow/commentList/voice", params);
  },
};
